Bug 18771 - Backspace doesn't work properly in X in all terminal programs
Backspace doesn't work properly in X in all terminal programs
Product: Red Hat Linux
Classification: Retired
Component: termcap (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bernhard Rosenkraenzer
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2000-10-10 00:58 EDT by Scott Schmit
Modified: 2007-04-18 12:29 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2000-10-10 00:58:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Scott Schmit 2000-10-10 00:58:24 EDT
If you start a terminal in X and type at the command prompt, backspace
works just fine.
Run a program from it like ircii, vi, and mutt -- it works just fine.
Run a program like ftp, su, telnet, etc -- it doesn't.
Backspace results in ^H. Delete (which I've learned will usually be the
backspace even though it really shouldn't be) results in ^[[3~. Control-H
just gives another ^H. In other words, nothing works. This can get very

Furthermore, less has different problems. less somefile. type /oops, then
try to use the backspace. oops indeed. alt-backspace will clear to the
start of the word, but nevertheless backspace doesn't work right.

From a vt, however, the backspace works perfectly.
Comment 1 Bernhard Rosenkraenzer 2000-10-10 09:37:47 EDT
I can't reproduce any of this in either konsole, gnome-terminal and xterm.
You're probably using some odd ~/.termcap file?
Comment 2 Need Real Name 2000-12-04 10:05:57 EST
Not resolved !

I've made an install of 7.0 from CD onto a freshly formatted partition (thus no 
old or modified .termcap) and experience similar problems, but worse: backspace 
doesnt work in any application within X (using out-of-the-box Gnome, havent 
tried KDE).

Backspace seems to work in VTs.

(Machine is a quite old Intel mobo (Portland?) PII-266, which has been running 
3.2, 4.0, 5.1 and 6.1 OK)

sincerely yours
Comment 3 Need Real Name 2000-12-05 03:23:56 EST

As usual, problem turned up to be quite simple.

For some reason I've not discovered yet, both backspace and delete _keys_ are 
mapped to the _keysymbol_ delete.

Not being an x guru, what I could do was the following, non portable solution:

  xmodmap -e "keycode 22 = BackSpace"

improvised from man xmodmap info.
Note that 22 is the scan code for my keyboard, look up yours using xev

yours truly -

Note You need to log in before you can comment on or make changes to this bug.